/* tslint:disable */
/* eslint-disable */
/**
 * Coscine Web API
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */


// May contain unused imports in some cases
// @ts-ignore
import type { HashParametersDto } from './hash-parameters-dto';
// May contain unused imports in some cases
// @ts-ignore
import type { VariantDto } from './variant-dto';

/**
 * Represents a data transfer object (DTO) for provenance information.
 * @export
 * @interface ProvenanceDto
 */
export interface ProvenanceDto {
    /**
     * Gets or sets the id of the current metadata graph.
     * @type {string}
     * @memberof ProvenanceDto
     */
    'id': string;
    /**
     * Gets or sets the date and time when the metadata was generated.
     * @type {string}
     * @memberof ProvenanceDto
     */
    'generatedAt'?: string | null;
    /**
     * Gets or sets the adapted versions from the specific metadata tree.
     * @type {Array<string>}
     * @memberof ProvenanceDto
     */
    'wasRevisionOf': Array<string>;
    /**
     * Gets or sets the variants of the specific metadata tree.
     * @type {Array<VariantDto>}
     * @memberof ProvenanceDto
     */
    'variants': Array<VariantDto>;
    /**
     * The similarity to the last version.
     * @type {number}
     * @memberof ProvenanceDto
     */
    'similarityToLastVersion'?: number | null;
    /**
     * Information if the specific metadata tree was invalidated by something.
     * @type {string}
     * @memberof ProvenanceDto
     */
    'wasInvalidatedBy'?: string | null;
    /**
     * 
     * @type {HashParametersDto}
     * @memberof ProvenanceDto
     */
    'hashParameters'?: HashParametersDto;
}

